Retrieve all stakers for a given AVS address
curl --request GET \
--url https://api.eigenexplorer.com/avs/{address}/stakers \
--header 'X-API-Token: <x-api-token>'import requests
url = "https://api.eigenexplorer.com/avs/{address}/stakers"
headers = {"X-API-Token": "<x-api-token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};
fetch('https://api.eigenexplorer.com/avs/{address}/stakers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": "0x0000006c21964af0d420af8992851a30fa13a68b",
"operatorAddress": "0x71c6f7ed8c2d4925d0baf16f6a85bb1736d412eb",
"createdAtBlock": "19631203",
"updatedAtBlock": "19631203",
"createdAt": "2024-04-11T08:31:11.000Z",
"updatedAt": "2024-04-11T08:31:11.000Z",
"shares": [
{
"stakerAddress": "0x74ede5f75247fbdb9266d2b3a7be63b3db7611dd",
"strategyAddress": "0x93c4b944d05dfe6df7645a86cd2206016c51564a",
"shares": "40000000000000000"
}
],
"tvl": {
"tvl": 1000000,
"tvlBeaconChain": 1000000,
"tvlWETH": 1000000,
"tvlRestaking": 1000000,
"tvlStrategies": {
"Eigen": 1000000,
"cbETH": 2000000
},
"tvlStrategiesEth": {
"stETH": 1000000,
"cbETH": 2000000
}
}
}
],
"meta": {
"total": 30,
"skip": 0,
"take": 12
}
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}AVS
Retrieve all stakers for a given AVS address
Returns all stakers for a given AVS address. This endpoint supports pagination.
GET
/
avs
/
{address}
/
stakers
Retrieve all stakers for a given AVS address
Headers
API Token for authentication
Path Parameters
AVS service manager contract address
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x870679e138bcdf293b7ff14dd44b70fc97e12fc0"
Query Parameters
Toggle whether the route should calculate the TVL from shares
Available options:
true, false Example:
"false"
Fetch stakers updated since this timestamp
Example:
"2024-04-11T08:31:11.000Z"
The number of records to skip for pagination
Example:
0
The number of records to return for pagination
Example:
12
⌘I